---
name: Suzy Verdin
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/inside-sales/"> Inside
  Sales Representative, AMER - Enterprise, West<a>
reports_to: caleb_newton
picture: suzannaverdin.jpg
twitter:
gitlab: sverdin
departments:
- Renewals
- Sales
- Enterprise Sales
story: 'Suzy is a Arizona Native who loves to spend time with her family, travel,
  and hike.

  '
job_title: Manager, Renewals
division: Sales
public: true

